/*
  Copyright 1996-2003
  Simon Whiteside

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  $Id: Utils.java,v 1.4 2003/02/24 18:10:53 simkin_cvs Exp $
*/
package simkin;

/**
 * This class provides useful functions to the Simkin library
 */
public final class Utils {
    /**
     * Adds two strings together efficiently
     */
    static public String addStrings(String one,String two){
	StringBuffer buffer=new StringBuffer(one.length()+two.length());
	buffer.append(one);
	buffer.append(two);
	return buffer.toString();
    }
    /**
     * Adds three strings together efficiently
     */
    static public String addStrings(String one,String two,String three){
	StringBuffer buffer=new StringBuffer(one.length()+two.length()+three.length());
	buffer.append(one);
	buffer.append(two);
	buffer.append(three);
	return buffer.toString();
    }
    /**
     * Adds four strings together efficiently
     */
    static public String addStrings(String one,String two,String three,String four){
	StringBuffer buffer=new StringBuffer(one.length()+two.length()+three.length()+four.length());
	buffer.append(one);
	buffer.append(two);
	buffer.append(three);
	buffer.append(four);
	return buffer.toString();
    }
}
